Delete video index
curl --request POST \
--url https://api.videodb.io/video/{video_id}/index/delete \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"index_type": "all",
"model_name": "gpt4-v"
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({index_type: 'all', model_name: 'gpt4-v'})
};
fetch('https://api.videodb.io/video/{video_id}/index/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/{video_id}/index/delete' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"index_type": "all",
"model_name": "gpt4-v"
}'import Foundation
let parameters = [
"index_type": "all",
"model_name": "gpt4-v"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/video/{video_id}/index/delete")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/index/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"index_type\": \"all\",\n \"model_name\": \"gpt4-v\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/index/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"index_type\": \"all\",\n \"model_name\": \"gpt4-v\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({index_type: 'all', model_name: 'gpt4-v'})
};
fetch('https://api.videodb.io/video/{video_id}/index/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/index/delete");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"index_type\": \"all\",\n \"model_name\": \"gpt4-v\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/index/delete");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"index_type\": \"all\",\n \"model_name\": \"gpt4-v\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"index_type\": \"all\",\n \"model_name\": \"gpt4-v\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/video/{video_id}/index/delete")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"message": "Operation successful"
}Delete Video Index
Delete an existing video index
POST
/
video
/
{video_id}
/
index
/
delete
Delete video index
an existing index from a video. You can delete spoken word indexes, scene indexes, or all indexes at once.
index_typecan bespoken_word,scene, orall- This operation is irreversible; you will need to re-index the video to search it again
- Use
model_nameto target a specific model’s index when deleting scene indexes
Create Index
Index video content
Get Index
Retrieve index details
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^m-Example:
"m-12345"
Body
application/json
⌘I